package com.bib.essensbestellungsverwaltung;

public class FoodPlan {
    private long id;
    private String date;
    private Food foodVegan;
    private Food foodSecond;
    private Food dessertVegan;
    private Food dessertSecond;
    private boolean isSent;

    public FoodPlan(long id, String date, Food foodVegan, Food foodSecond, Food dessertVegan, Food dessertSecond, boolean isSent) {
        this.id = id;
        this.date = date;
        this.foodVegan = foodVegan;
        this.foodSecond = foodSecond;
        this.dessertVegan = dessertVegan;
        this.dessertSecond = dessertSecond;
        this.isSent = isSent;
    }
    public FoodPlan(String date, Food foodVegan, Food foodSecond, Food dessertVegan, Food dessertSecond) {
        this.id = -1;
        this.date = date;
        this.foodVegan = foodVegan;
        this.foodSecond = foodSecond;
        this.dessertVegan = dessertVegan;
        this.dessertSecond = dessertSecond;
        this.isSent = false;
    }

    public long getId() {
        return id;
    }

    public String getDate() {
        return date;
    }

    public Food getFoodVegan() {
        return foodVegan;
    }

    public Food getFoodSecond() {
        return foodSecond;
    }

    public Food getDessertVegan() {
        return dessertVegan;
    }

    public Food getDessertSecond() {
        return dessertSecond;
    }

    public boolean isSent() {
        return isSent;
    }
}
