/**
 * @autor: Reshad Meher
 * Fenstergrößer
 * Fenstertitle
 */
package com.bib.essensbestellungsverwaltung;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.stage.Stage;

import java.io.IOException;

public class StartViewApplication extends Application {
    public static Stage primary;
    @Override
    public void start(Stage stage) throws IOException {
        FXMLLoader fxmlLoader = new FXMLLoader(StartViewApplication.class.getResource("login-view.fxml"));
        Scene scene = new Scene(fxmlLoader.load(), 950,480);
        //stage = primary;
        stage.setTitle("Essen Bestellung im Kindergarten");
        stage.setScene(scene);
        stage.show();


    }

    public static void main(String[] args) {
        Database.init();
        Database.createDb();
        Database.fillDb();
        //Database.printSampleQuery();
        //Database.deleteSample();
        launch();
    }
}